[frs-300] FusionReactor Wrapper Tool for FusionReactor 4.5.x and above

JDBC Wrapper Tool for FusionReactor 4.5.x and above

Users using FusionReactor 4.0.10 or lower should use the original wrapper found here.

The JDBC tool is designed to provide an automated interface to configure the FusionReactor JDBC Wrapper. The tool uses the CF admin API introduced in CF7 to add/update your DSN entries. Once installed, the JDBC wrapper doesn't break if your FusionReactor license expires (trial or subscription).

Note: The tool is still under active development. Though we have used this succesfully we cannot guarantee it will function in all cases. Please check below for our tested compatibility chart.

Requirements

FusionReactor
CF7 or above OR A Compatible CFML Engine

Latest Version

The latest versions available for download are:

Latest Stable: 1.0.1
jdbc_tool_v1.0.1.zip

Usage

FusionReactor 4.5.x now supports a classpath option in the JDBC URL. For non-macromedia drivers (those that previously required the split-jar method) you can supply the path to your JDBC driver jar file and FusionReactor will function correctly. The split-jar method has been completely removed with FusionReactor 4.5.x and so users are required to perform this update.

  1. Download the updated FusionReactor Wrapper Tool
  2. Copy the fr_jdbc_wrapper.cfm file to /CFIDE/administrator/fr_jdbc_wrapper.cfm on your server, ensuring you have permission to run it.
  3. Navigate to this page via your browser.
    • If you have any wrapped data sources from older versions of this tool, you should unwrap them now. Click the "Unwrap" link at the top left and continue though the steps of the tool.
  4. Select the data sources you wish to wrap.
  5. If a text field is visible in the "Driver Jar" column then you are required to supply a canonical path to the JDBC driver jar file. EG:
    • CF10: C:ColdFusion10cfusionlibmysql-connector-java-commercial-5.1.17-bin.jar
    • CF9 Multi-server: C:JRun4libmysql-connector-java-commercial-5.0.5-bin.jar
    • CF9 Stand-alone: C:ColdFusion9libmysql-connector-java-commercial-5.1.11-bin.jar
  6. You can click the "Use for all of this type" checkbox to use the same driver file for all data sources of that type (e.g. all MySQL data sources). This is not recommended for Derby data sources.
  7. Once you have entered the correct paths to your driver jars, click next and navigate through the rest of the tool to wrap your data sources

Compatibility Notes

Railo

  • There is an additional requirement for Railo. Please (temporarily, whilst running the tool) set the Server Administrator->Security->Access->General->Access Read setting to "open".

Tested Compatibility

Adobe CF 7,0,2,142559

  • Microsoft SQL Server
  • ODBC Socket

Adobe CF 8,0,1,195765

  • Apache Derby Client
  • Microsoft SQL Server
  • MySQL (4/5)
  • Apache Derby Embedded (Requires CF Restart)
  • ODBC Socket
  • PostgreSQL
  • Other JDBC Driver
  • Sybase

Adobe CF 9,0,0,251028

  • Apache Derby Client
  • Microsoft SQL Server
  • MySQL (4/5)
  • Apache Derby Embedded (Requires CF Restart)
  • ODBC Socket
  • PostgreSQL
  • Other JDBC Driver
  • Sybase

Adobe CF 10

  • Apache Derby Client
  • Microsoft SQL Server
  • MySQL (4/5)
  • Apache Derby Embedded (Requires CF Restart)
  • Other JDBC Driver

Railo 4.0.4.001

  • MSSQL – Microsoft SQL Server (Vendor Microsoft)
  • MSSQL – Microsoft SQL Server (Vendor jTDS)
  • MySQL

Issue Details

Type: DevNet
Issue Number: FRS-300
Components: JDBC
Environment:
Resolution: Fixed
Last Updated: 01/Jul/13 12:56 PM
Affects Version: 4.5.0
Fixed Version: 4.5.0
Server:
Platform:
Related Issues:

Comments are closed.